<?php
namespace TourOperatorProAdmin\app\controllers;
use TourOperatorPro\Factory as FactoryAlias;
use TourOperatorPro\Mvc\Controller\Controller;
use TourOperatorProAdmin\app\helpers\ConfigHelper;

defined('_TOUROPERATOR_EXEC') or die;
class ConfigController extends Controller
{
    public function create_page_tour_detail(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("tour-detail","page_tour_detail");
        $this->redirect($url);

    }
    public function create_page_tour_checkout(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("checkout-default","page_tour_checkout");
        $this->redirect($url);

    }
    public function create_page_list_tour(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("tours-list","page_list_tour");
        $this->redirect($url);

    }
    public function create_page_list_tour_search_result(){
        $url=FactoryAlias::getRootUrl()."/wp-admin/admin.php?page=wb_config";
        ConfigHelper::create_create_page("tours-list","page_list_tour_search_result");
        $this->redirect($url);

    }
}
